bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#20457: compiler does not warn about arglist mismatch with obsolete a


From: Marcin Borkowski
Subject: bug#20457: compiler does not warn about arglist mismatch with obsolete alias
Date: Fri, 08 Apr 2016 06:56:01 +0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)

On 2015-04-29, at 03:08, Glenn Morris <address@hidden> wrote:

> Package: emacs
> Version: 24.5
>
> Byte-compiling the following:
>     
>     (defun newfunc ()
>       t)
>     
>     (eval-and-compile
>       (define-obsolete-function-alias 'oldfunc 'newfunc "25.1"))
>     
>     (defun blah ()
>       (oldfunc t))
>
> warns about oldfunc being obsolete:
>   
>   In blah:
>   foo.el:6:8:Warning: `oldfunc' is an obsolete function (as of 25.1); use
>       `newfunc' instead.
>
> however, it says nothing about blah calling oldfunc with the wrong
> number of arguments, which leads to a runtime error.

Confirmed on GNU Emacs 25.1.50.8 (1e8cd05).

Best,

-- 
Marcin





reply via email to

[Prev in Thread] Current Thread [Next in Thread]